summaryrefslogtreecommitdiffstats
path: root/netdata-installer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'netdata-installer.sh')
-rwxr-xr-xnetdata-installer.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/netdata-installer.sh b/netdata-installer.sh
index ed4ead7e9..6fb20287d 100755
--- a/netdata-installer.sh
+++ b/netdata-installer.sh
@@ -683,7 +683,7 @@ if [ "${UID}" -eq 0 ]; then
run chown -R "root:${NETDATA_GROUP}" "${NETDATA_PREFIX}/usr/libexec/netdata"
run find "${NETDATA_PREFIX}/usr/libexec/netdata" -type d -exec chmod 0755 {} \;
run find "${NETDATA_PREFIX}/usr/libexec/netdata" -type f -exec chmod 0644 {} \;
- run find "${NETDATA_PREFIX}/usr/libexec/netdata" -type f -a -name \*.plugin -exec chmod 0755 {} \;
+ run find "${NETDATA_PREFIX}/usr/libexec/netdata" -type f -a -name \*.plugin -exec chmod 0750 {} \;
run find "${NETDATA_PREFIX}/usr/libexec/netdata" -type f -a -name \*.sh -exec chmod 0755 {} \;
if [ -f "${NETDATA_PREFIX}/usr/libexec/netdata/plugins.d/apps.plugin" ]; then
@@ -740,7 +740,7 @@ fi
install_go() {
# When updating this value, ensure correct checksums in packaging/go.d.checksums
- GO_PACKAGE_VERSION="v0.3.1"
+ GO_PACKAGE_VERSION="v0.4.0"
ARCH_MAP=(
'i386::386'
'i686::386'
@@ -775,7 +775,7 @@ install_go() {
grep "config.tar.gz" "${INSTALLER_DIR}/packaging/go.d.checksums" >> "${tmp}/sha256sums.txt" 2>/dev/null
# Checksum validation
- if ! (cd "${tmp}" && sha256sum -c "sha256sums.txt"); then
+ if ! (cd "${tmp}" && safe_sha256sum -c "sha256sums.txt"); then
run_failed "go.d.plugin package files checksum validation failed."
return 1
fi